<div class="contenido">
  <h2 class="tittle">Agregar Tarjeta</h2>
  <form [formGroup]="form" (ngSubmit)="crearTarjeta()">

    <div class="datos" >
      <mat-form-field class="llenar" appearance="outline">
        <!-- Titular -->
        <input matInput placeholder="Titular" formControlName="titular">
        <mat-icon matSuffix>
          <i class="fa-solid fa-user-astronaut" 
          [class.green-icon]="this.form.get('titular')?.valid"
          [class.red-icon]="this.form.get('titular')?.invalid && this.form.get('titular')?.touched"
          ></i>
        </mat-icon>
      </mat-form-field>

      <!-- Nro de tarjeta -->
      <mat-form-field class="llenar" appearance="outline">
        <input matInput placeholder="Numero de Tarjeta" formControlName="numeroTarjeta" maxlength="16">
        <mat-icon matSuffix>
          <i class="fa-solid fa-credit-card" 
          [class.green-icon]="this.form.get('numeroTarjeta')?.valid"
          [class.red-icon]="this.form.get('numeroTarjeta')?.invalid && this.form.get('numeroTarjeta')?.touched"
          ></i>
        </mat-icon>
      </mat-form-field>

      <!-- Mes y año -->
      <div class="col">

        <!-- Fecha -->
        <div class="fecha">
          <mat-form-field class="date" appearance="outline">
            <input matInput placeholder="MM/YY" formControlName="fechaExpiracion" maxlength="5" >
            <mat-icon matSuffix>
              <i class="fa-solid fa-calendar-days" 
              [class.green-icon]="this.form.get('fechaExpiracion')?.valid"
              [class.red-icon]="this.form.get('fechaExpiracion')?.invalid && this.form.get('fechaExpiracion')?.touched"
              ></i>
            </mat-icon>
          </mat-form-field>
        </div>

        <!-- Clave -->
        <div class="clave">
          <mat-form-field class="password" appearance="outline">
            <input type="password" matInput placeholder="CVV" formControlName="clave" maxlength="3">
            <mat-icon matSuffix>
              <i class="fa-solid fa-key" 
              [class.green-icon]="this.form.get('clave')?.valid"
              [class.red-icon]="this.form.get('clave')?.invalid && this.form.get('clave')?.touched"
              >
            </i>
            </mat-icon>
          </mat-form-field>
        </div>
      </div>
    </div>
    <button mat-button color="basic" class="guardar" type="submit">
      <i class="fa-solid fa-database"></i>
      Aceptar
    </button>
  </form>

</div>